Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5116)
@@ -2925,26 +2924,26 @@
            enddo !!do ixt=1,ntraciso
 #endif
-            END IF !if (cvflag_grav) then
+            END IF !if (cvflag_grav) THEN
 #ifdef ISO
 !--debug:
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) then
+              if (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(xtwdtrain(iso_eau,il), &
                  wdtrain(il),'cv30_routines 2366',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then
+              endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtwdtrain(1,il),'cv30_routine 2540')
-        if (option_cond.ge.1) then
+        if (option_cond.ge.1) THEN
            ! on verifie que tout le detrainement est tagge condensat
            if (iso_verif_positif_nostop( &
                 xtwdtrain(itZonIso(izone_cond,iso_eau),il) &
                 -xtwdtrain(iso_eau,il), &
-                'cv30_routines 2795').eq.1) then
-          write(*,*) 'xtwdtrain(:,il)=',xtwdtrain(:,il)
-          write(*,*) 'xtelij(:,il,j,i)=',xtelij(:,il,j,i)
-          write(*,*) 'xtclw(:,il,i)=',xtclw(:,il,i)
+                'cv30_routines 2795').eq.1) THEN
+          WRITE(*,*) 'xtwdtrain(:,il)=',xtwdtrain(:,il)
+          WRITE(*,*) 'xtelij(:,il,j,i)=',xtelij(:,il,j,i)
+          WRITE(*,*) 'xtclw(:,il,i)=',xtclw(:,il,i)
           stop
           endif !if (iso_verif_positif_nostop(Pxtisup(iso_eau,il)-
-        endif !if (option_cond.ge.1) then
+        endif !if (option_cond.ge.1) THEN
 #endif              
 #endif
@@ -3004,5 +3003,5 @@
         ! jyg1
         ! cc        sigt=1.0
-        ! cc        if(i.ge.icb)sigt=sigp(i)
+        ! cc        IF(i.ge.icb)sigt=sigp(i)
         ! prise en compte de la variation progressive de sigt dans
         ! les couches icb et icb-1:
@@ -3190,18 +3189,18 @@
 #ifdef ISOVERIF
 ! verif des inputs a appel stewart
-!        write(*,*) 'cv30_routines 2842 tmp: appel de appel_stewart'
+!        WRITE(*,*) 'cv30_routines 2842 tmp: appel de appel_stewart'
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
-         if (iso_eau.gt.0) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,il,i), &
               rr(il,i),'appel_stewart 262, cas 1.1',errmax,errmaxrel)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
 !#ifdef ISOTRAC
-!        if (option_tmin.ge.1) then
+!        if (option_tmin.ge.1) THEN
 !           CALL iso_verif_positif(xtwater(
 !     :           itZonIso(izone_cond,iso_eau),il,i+1)
 !     :           -xtwater(iso_eau,il,i+1),
 !     :          'cv30_routines 3083')
-!        endif !if (option_tmin.ge.1) then
+!        endif !if (option_tmin.ge.1) THEN
 !#endif
         endif
@@ -3209,5 +3208,5 @@
 #endif
 
-        if (1.eq.0) then
+        if (1.eq.0) THEN
         ! appel de appel_stewart_vectorise
         CALL appel_stewart_vectall(lwork,ncum, &
@@ -3221,5 +3220,5 @@
                 na,nd,nloc,cvflag_grav,ginv,1e-16)
 
-        else !if (1.eq.0) then
+        else !if (1.eq.0) THEN
           ! truc simple sans fractionnement
           ! juste pour debuggage
@@ -3227,12 +3226,10 @@
                 evap,water,rpprec,rr,wdtrain, &
                 xtevap,xtwater,xtp,xt,xtwdtrain)
-        endif ! if (1.eq.0) then
-
-
-#ifdef ISOVERIF
-!        write(*,*) 'cv30_routines 2864 tmp: sortie de appel_stewart'
+        endif ! if (1.eq.0) THEN
+#ifdef ISOVERIF
+!        WRITE(*,*) 'cv30_routines 2864 tmp: sortie de appel_stewart'
 ! verif des outputs de appel stewart
        do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) then
+        if (i.le.inb(il) .and. lwork(il)) THEN
          do ixt=1,ntraciso        
           CALL iso_verif_noNAN(xtp(ixt,il,i),'cv30_unsat 3382')
@@ -3240,23 +3237,23 @@
           CALL iso_verif_noNAN(xtevap(ixt,il,i),'cv30_unsat 2661')
          enddo  
-         if (iso_eau.gt.0) then 
+         if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtp(iso_eau,il,i), &
                  rpprec(il,i),'cv30_unsat 2736',errmax,errmaxrel)
           CALL iso_verif_egalite_choix(xtwater(iso_eau,il,i), &
                  water(il,i),'cv30_unsat 2747',errmax,errmaxrel)
-!         write(*,*) 'xtwater(4,il,i)=',xtwater(4,il,i)
-!         write(*,*) 'water(il,i)=',water(il,i)
+!         WRITE(*,*) 'xtwater(4,il,i)=',xtwater(4,il,i)
+!         WRITE(*,*) 'water(il,i)=',water(il,i)
           CALL iso_verif_egalite_choix(xtevap(iso_eau,il,i), &
                  evap(il,i),'cv30_unsat 2751',errmax,errmaxrel)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
          if ((iso_HDO.gt.0).and. &
-                 (rp(il,i).gt.ridicule)) then
+                 (rp(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant(xtp(iso_HDO,il,i)/rpprec(il,i), &
                         'cv3unsat 2756')
            endif !if ((iso_HDO.gt.0).and.
 #ifdef ISOTRAC
-!        if (il.eq.602) then
-!        write(*,*) 'cv30_routine tmp: il,i=',il,i
-!        write(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
+!        if (il.eq.602) THEN
+!        WRITE(*,*) 'cv30_routine tmp: il,i=',il,i
+!        WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
 !     :          xtp(iso_eau:ntraciso:3,il,i)
 !        endif
@@ -3268,12 +3265,12 @@
         CALL iso_verif_traceur_justmass(xtevap(1,il,i), &
                           'cv30_routine 2854')
-!        if (option_tmin.ge.1) then
+!        if (option_tmin.ge.1) THEN
 !         CALL iso_verif_positif(xtwater(
 !     :           itZonIso(izone_cond,iso_eau),il,i)
 !     :           -xtwater(iso_eau,il,i),
 !     :          'cv30_routines 3143')
-!        endif !if (option_tmin.ge.1) then
+!        endif !if (option_tmin.ge.1) THEN
 #endif              
-        endif !if (i.le.inb(il) .and. lwork(il)) then        
+        endif !if (i.le.inb(il) .and. lwork(il)) THEN
        enddo !do il=1,ncum
 #endif
@@ -3281,9 +3278,8 @@
 ! equivalent isotopique de rp(il,i)=amin1(rp(il,i),rs(il,i))
        do il=1,ncum
-        if (i.lt.inb(il) .and. lwork(il)) then
-
-         if (rpprec(il,i).gt.rs(il,i)) then
-            if (rs(il,i).le.0) then
-                write(*,*) 'cv3unsat 2640'
+        if (i.lt.inb(il) .and. lwork(il)) THEN
+         if (rpprec(il,i).gt.rs(il,i)) THEN
+            if (rs(il,i).le.0) THEN
+                WRITE(*,*) 'cv3unsat 2640'
                 stop
             endif
@@ -3296,6 +3292,6 @@
            CALL iso_verif_noNaN(xtp(ixt,il,i),'cv3unsat 2641')
            enddo !do ixt=1,niso
-           if (iso_eau.gt.0) then
-!             write(*,*) 'xtp(iso_eau,il,i)=',xtp(iso_eau,il,i)  
+           if (iso_eau.gt.0) THEN
+!             WRITE(*,*) 'xtp(iso_eau,il,i)=',xtp(iso_eau,il,i)
              CALL iso_verif_egalite_choix(xtp(iso_eau,il,i),rp(il,i), &
                         'cv3unsat 2653',errmax,errmaxrel)
@@ -3304,8 +3300,8 @@
            endif  
            if ((iso_HDO.gt.0).and. &
-                 (rp(il,i).gt.ridicule)) then
+                 (rp(il,i).gt.ridicule)) THEN
              if (iso_verif_aberrant_nostop(xtp(iso_HDO,il,i)/rp(il,i), &
-                        'cv3unsat 2658').eq.1) then
-                write(*,*) 'rpprec(il,i),rs(il,i),rp(il,i)=', &
+                        'cv3unsat 2658').eq.1) THEN
+                WRITE(*,*) 'rpprec(il,i),rs(il,i),rp(il,i)=', &
                          rpprec(il,i),rs(il,i),rp(il,i)
                 stop
@@ -3317,5 +3313,5 @@
 #endif
           rpprec(il,i)=rs(il,i)            
-         endif !if (rp(il,i).gt.rs(il,i)) then           
+         endif !if (rp(il,i).gt.rs(il,i)) THEN
          endif !if (i.lt.INB et lwork)
         enddo ! il=1,ncum
@@ -3327,12 +3323,12 @@
 ! fin de la boucle en i (altitude)
 #ifdef ISO   
-      write(*,*) 'nl=',nl,'nd=',nd,'; ncum=',ncum  
+      WRITE(*,*) 'nl=',nl,'nd=',nd,'; ncum=',ncum
 #ifdef ISOVERIF
       do i=1,nl !nl
         do il=1,ncum
-        if (iso_eau.gt.0) then
-!            write(*,*) 'cv30_routines 2767:i,il,lwork(il),inb(il)=',
+        if (iso_eau.gt.0) THEN
+!            WRITE(*,*) 'cv30_routines 2767:i,il,lwork(il),inb(il)=',
 !     :           i,il,lwork(il),inb(il)
-!            write(*,*) 'rp(il,i),xtp(iso_eau,il,i)=',
+!            WRITE(*,*) 'rp(il,i),xtp(iso_eau,il,i)=',
 !     :           rp(il,i),xtp(iso_eau,il,i)  
             CALL iso_verif_egalite_choix(xt(iso_eau,il,i), &
@@ -3342,12 +3338,12 @@
            CALL iso_verif_egalite_choix(xtwater(iso_eau,il,i), &
                  water(il,i),'cv30_unsat 2672',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 !#ifdef ISOTRAC
 !        if (iso_verif_traceur_choix_nostop(xtwater(1,il,i),
 !     :       'cv30_routine 2982 unsat',errmax,
-!     :       errmaxrel,ridicule_trac,deltalimtrac).eq.1) then
-!              write(*,*) 'il,i,inb(il),lwork(il)=',
+!     :       errmaxrel,ridicule_trac,deltalimtrac).eq.1) THEN
+!              WRITE(*,*) 'il,i,inb(il),lwork(il)=',
 !     :           il,i,inb(il),lwork(il)
-!              write(*,*) 'xtwater(:,il,i)=',xtwater(:,il,i)
+!              WRITE(*,*) 'xtwater(:,il,i)=',xtwater(:,il,i)
 !              stop
 !        endif
@@ -3357,5 +3353,5 @@
       il=5
       i=39 
-      write(*,*) 'cv30_unsat 2780: il,water(il,i),xtwater(iso_eau,il,i)=' &
+      WRITE(*,*) 'cv30_unsat 2780: il,water(il,i),xtwater(iso_eau,il,i)=' &
                ,il,water(il,i),xtwater(iso_eau,il,i)
 #endif
@@ -3392,10 +3388,10 @@
 #endif
 #ifdef ISOTRAC
-        use isotrac_mod, only: option_traceurs, &
+        use isotrac_mod, ONLY: option_traceurs, &
         izone_revap,izone_poubelle,izone_ddft
 #ifdef ISOVERIF
     use isotopes_verif_mod, ONLY: iso_verif_traceur_choix_nostop,deltalimtrac, &
 &       iso_verif_tracpos_choix_nostop,iso_verif_traceur,iso_verif_traceur_justmass
-    use isotrac_mod, only: ridicule_trac
+    use isotrac_mod, ONLY: ridicule_trac
 #endif
 #endif
@@ -3527,5 +3523,5 @@
 #ifdef ISO
        ! cam debug
-!       write(*,*) 'cv30_routines 3082: entree dans cv3_yield'
+!       WRITE(*,*) 'cv30_routines 3082: entree dans cv3_yield'
        ! en cam debug
        do ixt = 1, ntraciso
@@ -3600,6 +3596,6 @@
          ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
-!              write(*,*) 'cv30_yield 2952: '//
+          if (iso_eau.gt.0) THEN
+!              WRITE(*,*) 'cv30_yield 2952: '//
 !     :           'il,water(il,1),xtwater(iso_eau,il,1)='
 !     :           ,il,water(il,1),xtwater(iso_eau,il,1)
@@ -3612,5 +3608,5 @@
                  precip(il),'cv30_routines 3138', &
                  errmax*4e3,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtwater(1,il,1), &
@@ -3618,9 +3614,9 @@
         if (iso_verif_traceur_choix_nostop(xtprecip(1,il), &
                  'cv30_routine 3147',errmax*1e2, &
-             errmaxrel,ridicule_trac,deltalimtrac).eq.1) then
-          write(*,*) 'il,inb(il)=',il,inb(il)
-          write(*,*) 'xtwater(:,il,1)=',xtwater(:,il,1)
-          write(*,*) 'xtprecip(:,il)=',xtprecip(:,il)
-          write(*,*) 'fac=',wt(il,1)*sigd*86400.*1000./(rowl*grav)
+             errmaxrel,ridicule_trac,deltalimtrac).eq.1) THEN
+          WRITE(*,*) 'il,inb(il)=',il,inb(il)
+          WRITE(*,*) 'xtwater(:,il,1)=',xtwater(:,il,1)
+          WRITE(*,*) 'xtprecip(:,il)=',xtprecip(:,il)
+          WRITE(*,*) 'fac=',wt(il,1)*sigd*86400.*1000./(rowl*grav)
           stop
         endif
@@ -3637,9 +3633,9 @@
          ! cam verif
 #ifdef ISOVERIF          
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtprecip(iso_eau,il), &
                  precip(il),'cv30_routines 3139', &
                  errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtprecip(1,il),'cv30_routine 3166')
@@ -3799,5 +3795,5 @@
         ! calcule R_tmp.
         dq_tmp=0.01*grav*am(il)*(rr(il,2)-rr(il,1))*work(il)*delt ! utile ci-dessous
-        if ((dq_tmp/rr(il,1).lt.-0.9).and.correction_excess_aberrant) then
+        if ((dq_tmp/rr(il,1).lt.-0.9).and.correction_excess_aberrant) THEN
                 ! nouvelle formulation ou on fait d'abord entrer k*q2 et ensuite
                 ! seulement on fait sortir k*q1 sans changement de composition
@@ -3814,22 +3810,22 @@
                        + dx_tmp/delt
 #ifdef ISOVERIF
-                if (ixt.eq.iso_HDO) then
-                write(*,*) 'cv30_routines 3888: il=',il
-                write(*,*) 'dq_tmp,rr(il,1)=',dq_tmp,rr(il,1)
-                write(*,*) 'R_tmp,dx_tmp,delt=',R_tmp,dx_tmp,delt
-                write(*,*) 'xt(ixt,il,1:2)=',xt(ixt,il,1:2)
-                write(*,*) 'rr(il,1:2)=',rr(il,1:2)
-                write(*,*) 'fxt=',dx_tmp/delt
-                write(*,*) 'rr(il,1)+dq_tmp=',rr(il,1)+dq_tmp
-                write(*,*) 'xt(ixt,il,1)+dx_tmp=',xt(ixt,il,1)+dx_tmp
-                write(*,*) 'xt(ixt,il,1)+fxt(ixt,il,1)*delt=', &
+                if (ixt.eq.iso_HDO) THEN
+                WRITE(*,*) 'cv30_routines 3888: il=',il
+                WRITE(*,*) 'dq_tmp,rr(il,1)=',dq_tmp,rr(il,1)
+                WRITE(*,*) 'R_tmp,dx_tmp,delt=',R_tmp,dx_tmp,delt
+                WRITE(*,*) 'xt(ixt,il,1:2)=',xt(ixt,il,1:2)
+                WRITE(*,*) 'rr(il,1:2)=',rr(il,1:2)
+                WRITE(*,*) 'fxt=',dx_tmp/delt
+                WRITE(*,*) 'rr(il,1)+dq_tmp=',rr(il,1)+dq_tmp
+                WRITE(*,*) 'xt(ixt,il,1)+dx_tmp=',xt(ixt,il,1)+dx_tmp
+                WRITE(*,*) 'xt(ixt,il,1)+fxt(ixt,il,1)*delt=', &
                          xt(ixt,il,1)+fxt(ixt,il,1)*delt
-                write(*,*) 'dqreste_tmp,dxreste_tmp=',dqreste_tmp,dxreste_tmp
-                write(*,*) 'formule classique: fxt_Am=',0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il)
-                write(*,*) 'donnerait dxt=',0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il)*delt
-                endif !if (ixt.eq.iso_HDO) then
+                WRITE(*,*) 'dqreste_tmp,dxreste_tmp=',dqreste_tmp,dxreste_tmp
+                WRITE(*,*) 'formule classique: fxt_Am=',0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il)
+                WRITE(*,*) 'donnerait dxt=',0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il)*delt
+                endif !if (ixt.eq.iso_HDO) THEN
 #endif
 #ifdef DIAGISO
-                if (ixt.le.niso) then
+                if (ixt.le.niso) THEN
                         fxt_fluxmasse(ixt,il,1)=fxt_fluxmasse(ixt,il,1) &
                        + dx_tmp/delt
@@ -3837,5 +3833,5 @@
 #endif
            enddo ! do ixt = 1, ntraciso
-        else !if (dq_tmp/rr(il,1).lt.-0.9) then
+        else !if (dq_tmp/rr(il,1).lt.-0.9) THEN
                 ! formulation habituelle qui avait toujours marche de 2006 a
                 ! decembre 2017.
@@ -3844,5 +3840,5 @@
              +0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il)
 #ifdef DIAGISO
-                if (ixt.le.niso) then
+                if (ixt.le.niso) THEN
                 fxt_fluxmasse(ixt,il,1)=fxt_fluxmasse(ixt,il,1) &
             +0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il)
@@ -3850,35 +3846,34 @@
 #endif
            enddo !do ixt = 1, ntraciso
-        endif !if (dq_tmp/rr(il,1).lt.-0.9) then
-
+        endif !if (dq_tmp/rr(il,1).lt.-0.9) THEN
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv30_routines 3251', &
                  errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
-          !write(*,*) 'il,am(il)=',il,am(il)
+          endif !if (iso_eau.gt.0) THEN
+          !WRITE(*,*) 'il,am(il)=',il,am(il)
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) then
+                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
             if (iso_verif_aberrant_enc_nostop((xt(iso_HDO,il,1) &
               +delt*fxt(iso_HDO,il,1))/(rr(il,1)+delt*fr(il,1)), &
-                 'cv30_yield 3125, ddft en 1').eq.1) then
-                write(*,*) 'il,rr(il,1),delt=',il,rr(il,1),delt
-                write(*,*) 'deltaDxt=',deltaD(xt(iso_HDO,il,1)/rr(il,1))
-                write(*,*) 'delt*fr(il,1),fr(il,1)=',delt*fr(il,1),fr(il,1)
-                write(*,*) 'fxt=',fxt(iso_HDO,il,1)
-                write(*,*) 'fq_ddft(il,1)=',0.01*grav*mp(il,2)*(rp(il,2)-rr(il,1))*work(il)
-                write(*,*) 'fq_evapprecip(il,1)=',sigd*0.5*(evap(il,1)+evap(il,2))
-                write(*,*) 'fq_fluxmasse(il,1)=', 0.01*grav*am(il)*(rr(il,2)-rr(il,1))*work(il)
-                write(*,*) 'deltaDfq_ddft=',deltaD((xtp(iso_HDO,il,2)-xt(iso_HDO,il,1))/(rp(il,2)-rr(il,1)))
-                write(*,*) 'deltaDfq_evapprecip=',deltaD((xtevap(iso_HDO,il,1)+xtevap(iso_HDO,il,2))/(evap(il,1)+evap(il,2)))
-                write(*,*) 'deltaDfq_fluxmasse=',deltaD((xt(iso_HDO,il,2)-xt(iso_HDO,il,1))/(rr(il,2)-rr(il,1)))
-                write(*,*) 'rr(il,2),rr(il,1)=',rr(il,2),rr(il,1)
-                write(*,*) 'xt(iso_HDO,il,2),xt(iso_HDO,il,1)',xt(iso_HDO,il,2),xt(iso_HDO,il,1)
-                write(*,*) 'dq_tmp=',dq_tmp
+                 'cv30_yield 3125, ddft en 1').eq.1) THEN
+                WRITE(*,*) 'il,rr(il,1),delt=',il,rr(il,1),delt
+                WRITE(*,*) 'deltaDxt=',deltaD(xt(iso_HDO,il,1)/rr(il,1))
+                WRITE(*,*) 'delt*fr(il,1),fr(il,1)=',delt*fr(il,1),fr(il,1)
+                WRITE(*,*) 'fxt=',fxt(iso_HDO,il,1)
+                WRITE(*,*) 'fq_ddft(il,1)=',0.01*grav*mp(il,2)*(rp(il,2)-rr(il,1))*work(il)
+                WRITE(*,*) 'fq_evapprecip(il,1)=',sigd*0.5*(evap(il,1)+evap(il,2))
+                WRITE(*,*) 'fq_fluxmasse(il,1)=', 0.01*grav*am(il)*(rr(il,2)-rr(il,1))*work(il)
+                WRITE(*,*) 'deltaDfq_ddft=',deltaD((xtp(iso_HDO,il,2)-xt(iso_HDO,il,1))/(rp(il,2)-rr(il,1)))
+                WRITE(*,*) 'deltaDfq_evapprecip=',deltaD((xtevap(iso_HDO,il,1)+xtevap(iso_HDO,il,2))/(evap(il,1)+evap(il,2)))
+                WRITE(*,*) 'deltaDfq_fluxmasse=',deltaD((xt(iso_HDO,il,2)-xt(iso_HDO,il,1))/(rr(il,2)-rr(il,1)))
+                WRITE(*,*) 'rr(il,2),rr(il,1)=',rr(il,2),rr(il,1)
+                WRITE(*,*) 'xt(iso_HDO,il,2),xt(iso_HDO,il,1)',xt(iso_HDO,il,2),xt(iso_HDO,il,1)
+                WRITE(*,*) 'dq_tmp=',dq_tmp
                 CALL abort_physic('cv30_routines','cv30_yield',1)
             endif ! iso_verif_aberrant_enc_nostop
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,1),'cv30_routine 3417')
@@ -3887,18 +3882,18 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3395',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il=',il  
-              write(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
-              write(*,*) 'xt(:,il,1)=' ,xt(:,il,1)
+                 .eq.1) THEN
+              WRITE(*,*) 'il=',il
+              WRITE(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
+              WRITE(*,*) 'xt(:,il,1)=' ,xt(:,il,1)
 #ifdef DIAGISO
-              write(*,*) 'fxt_fluxmasse(:,il,1)=',fxt_fluxmasse(:,il,1)
-              write(*,*) 'fxt_ddft(:,il,1)=',fxt_ddft(:,il,1)
-              write(*,*) 'fxt_evapprecip(:,il,1)=', &
+              WRITE(*,*) 'fxt_fluxmasse(:,il,1)=',fxt_fluxmasse(:,il,1)
+              WRITE(*,*) 'fxt_ddft(:,il,1)=',fxt_ddft(:,il,1)
+              WRITE(*,*) 'fxt_evapprecip(:,il,1)=', &
                          fxt_evapprecip(:,il,1)
-              write(*,*) 'xt(:,il,2)=',xt(:,il,2)
-              write(*,*) 'xtp(:,il,2)=',xtp(:,il,2)
-              write(*,*) 'xtevap(:,il,1)=',xtevap(:,il,1)
-              write(*,*) 'xtevap(:,il,2)=',xtevap(:,il,2)
-              write(*,*) 'facam,facmp,facev=',0.01*grav*am(il)*work(il), &
+              WRITE(*,*) 'xt(:,il,2)=',xt(:,il,2)
+              WRITE(*,*) 'xtp(:,il,2)=',xtp(:,il,2)
+              WRITE(*,*) 'xtevap(:,il,1)=',xtevap(:,il,1)
+              WRITE(*,*) 'xtevap(:,il,2)=',xtevap(:,il,2)
+              WRITE(*,*) 'facam,facmp,facev=',0.01*grav*am(il)*work(il), &
                 0.01*grav*mp(il,2)*work(il),sigd*0.5
 #endif                            
@@ -3948,16 +3943,16 @@
        ! cam verif
 #ifdef ISOVERIF         
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv30_routines 3023', &
                  errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) then
+                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,1) &
                  +delt*fxt(iso_HDO,il,1)) &
                  /(rr(il,1)+delt*fr(il,1)), &
                  'cv30_yield 3125b, ddft en 1')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,1), &
@@ -3968,8 +3963,8 @@
         if (iso_verif_tracpos_choix_nostop(xtnew, &
                  'cv30_yield 3449',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il=',il   
-              write(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
-              write(*,*) 'xt(:,il,1)=' ,xt(:,il,1)
+                 .eq.1) THEN
+              WRITE(*,*) 'il=',il
+              WRITE(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
+              WRITE(*,*) 'xt(:,il,1)=' ,xt(:,il,1)
 !              stop
         endif
@@ -3988,5 +3983,5 @@
   ! do j=1,ntra
   ! do il=1,ncum
-  ! if (cvflag_grav) then
+  ! if (cvflag_grav) THEN
   ! ftra(il,1,j)=ftra(il,1,j)+0.01*grav*work(il)
   ! :                     *(mp(il,2)*(trap(il,2,j)-tra(il,1,j))
@@ -4034,14 +4029,14 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv30_routines 3251',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) then
+                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,1) &
                +delt*fxt(iso_HDO,il,1))/(rr(il,1)+delt*fr(il,1)), &
                'cv30_yield 3127, dtr melanges')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,1),'cv30_routine 3417')
@@ -4050,10 +4045,10 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3525',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il=',il   
-              write(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
-              write(*,*) 'fac=', 0.01*grav*work(il)*ment(il,j,1)
-              write(*,*) 'xt(:,il,1)=' ,xt(:,il,1)
-              write(*,*) 'xtent(:,il,j,1)=' ,xtent(:,il,j,1) 
+                 .eq.1) THEN
+              WRITE(*,*) 'il=',il
+              WRITE(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
+              WRITE(*,*) 'fac=', 0.01*grav*work(il)*ment(il,j,1)
+              WRITE(*,*) 'xt(:,il,1)=' ,xt(:,il,1)
+              WRITE(*,*) 'xtent(:,il,j,1)=' ,xtent(:,il,j,1)
 !              stop
         endif
@@ -4094,14 +4089,14 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv30_routines 3092',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) then
+                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,1) &
               +delt*fxt(iso_HDO,il,1))/(rr(il,1)+delt*fr(il,1)), &
               'cv30_yield 3127b, dtr melanges')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,1),'cv30_routine 3462')
@@ -4110,6 +4105,6 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3753',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il=',il   
+                 .eq.1) THEN
+              WRITE(*,*) 'il=',il
         endif
 #endif            
@@ -4126,7 +4121,6 @@
   ! do j=2,nl
   ! do il=1,ncum
-  ! if (j.le.inb(il)) then
-
-  ! if (cvflag_grav) then
+  ! if (j.le.inb(il)) THEN
+  ! if (cvflag_grav) THEN
   ! ftra(il,1,k)=ftra(il,1,k)+0.01*grav*work(il)*ment(il,j,1)
   ! :                *(traent(il,j,1,k)-tra(il,1,k))
@@ -4251,5 +4245,5 @@
                  -ad(il)*(rr(il,i)-rr(il,i-1)))*delt
        ! c'est equivalent a dqi= kamp1*qip1+kad*qim1-(kamp1+kad)*qi
-       if ((dq_tmp/rr(il,i).lt.-0.9).and.correction_excess_aberrant) then 
+       if ((dq_tmp/rr(il,i).lt.-0.9).and.correction_excess_aberrant) THEN
         ! nouvelle formulation
         k_tmp=0.01*grav*dpinv*amp1(il)*delt
@@ -4261,18 +4255,18 @@
             fxt(ixt,il,i)= dx_tmp/delt
 #ifdef ISOVERIF
-                if ((ixt.eq.iso_HDO).or.(ixt.eq.iso_eau)) then
-                write(*,*) 'cv30_routines 4367: il,i,ixt=',il,i,ixt
-                write(*,*) 'dq_tmp,rr(il,i)=',dq_tmp,rr(il,i)
-                write(*,*) 'R_tmp,dx_tmp,delt=',R_tmp,dx_tmp,delt
-                write(*,*) 'amp1(il),ad(il)=',amp1(il),ad(il)
-                write(*,*) 'xt(ixt,il,i-1:i+1)=',xt(ixt,il,i-1:i+1)
-                write(*,*) 'rr(il,i-1:i+1)=',rr(il,i-1:i+1)
-                write(*,*) 'fxt=',dx_tmp/delt
-                write(*,*) 'rr(il,i)+dq_tmp=',rr(il,1)+dq_tmp
-                write(*,*) 'xt(ixt,il,i)+dx_tmp=',xt(ixt,il,i)+dx_tmp
-                write(*,*) 'xt(ixt,il,i)+fxt(ixt,il,i)*delt=', &
+                if ((ixt.eq.iso_HDO).or.(ixt.eq.iso_eau)) THEN
+                WRITE(*,*) 'cv30_routines 4367: il,i,ixt=',il,i,ixt
+                WRITE(*,*) 'dq_tmp,rr(il,i)=',dq_tmp,rr(il,i)
+                WRITE(*,*) 'R_tmp,dx_tmp,delt=',R_tmp,dx_tmp,delt
+                WRITE(*,*) 'amp1(il),ad(il)=',amp1(il),ad(il)
+                WRITE(*,*) 'xt(ixt,il,i-1:i+1)=',xt(ixt,il,i-1:i+1)
+                WRITE(*,*) 'rr(il,i-1:i+1)=',rr(il,i-1:i+1)
+                WRITE(*,*) 'fxt=',dx_tmp/delt
+                WRITE(*,*) 'rr(il,i)+dq_tmp=',rr(il,1)+dq_tmp
+                WRITE(*,*) 'xt(ixt,il,i)+dx_tmp=',xt(ixt,il,i)+dx_tmp
+                WRITE(*,*) 'xt(ixt,il,i)+fxt(ixt,il,i)*delt=', &
                          xt(ixt,il,i)+fxt(ixt,il,i)*delt
-                write(*,*) 'fxt(:,il,i)=',fxt(:,il,i)
-                endif !if (ixt.eq.iso_HDO) then  
+                WRITE(*,*) 'fxt(:,il,i)=',fxt(:,il,i)
+                endif !if (ixt.eq.iso_HDO) THEN
 #endif 
         enddo ! do ixt = 1, ntraciso  
@@ -4282,5 +4276,5 @@
         enddo
 #endif  
-       else !if (dq_tmp/rr(il,i).lt.-0.9) then
+       else !if (dq_tmp/rr(il,i).lt.-0.9) THEN
         ! ancienne formulation
          do ixt = 1, ntraciso
@@ -4296,30 +4290,28 @@
         enddo
 #endif  
-       endif !if (dq_tmp/rr(il,i).lt.-0.9) then
-          
-       
+       endif !if (dq_tmp/rr(il,i).lt.-0.9) THEN
        ! cam verif
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3226',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
         do ixt=1,niso
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3229')
         enddo
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
                          +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 3384, flux masse')
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
         if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)), &
                  (xt(iso_O18,il,i)+delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 3384,O18, flux masse')
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,1),'cv30_routine 3626')
@@ -4328,12 +4320,12 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3727',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i   
-              write(*,*) 'fxt(:,il,i)=',fxt(:,il,i)
-              write(*,*) 'amp1(il),ad(il),fac=',  &
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
+              WRITE(*,*) 'fxt(:,il,i)=',fxt(:,il,i)
+              WRITE(*,*) 'amp1(il),ad(il),fac=',  &
                     amp1(il),ad(il),0.01*grav*dpinv
-              write(*,*) 'xt(:,il,i+1)=' ,xt(:,il,i+1)
-              write(*,*) 'xt(:,il,i)=' ,xt(:,il,i) 
-              write(*,*) 'xt(:,il,i-1)=' ,xt(:,il,i-1)
+              WRITE(*,*) 'xt(:,il,i+1)=' ,xt(:,il,i+1)
+              WRITE(*,*) 'xt(:,il,i)=' ,xt(:,il,i)
+              WRITE(*,*) 'xt(:,il,i-1)=' ,xt(:,il,i-1)
 !              stop
         endif
@@ -4370,8 +4362,8 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3252',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
           do ixt=1,niso
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3229')
@@ -4379,9 +4371,9 @@
           ! correction 21 oct 2008
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
              +delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)), &
              'cv30_yield 3384b flux masse')
-        if (iso_O18.gt.0) then
+        if (iso_O18.gt.0) THEN
           CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i)) &
@@ -4390,6 +4382,6 @@
                  /(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 3384bO18 flux masse')
-        endif !if (iso_O18.gt.0) then
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_O18.gt.0) THEN
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,1),'cv30_routine 3674')
@@ -4398,6 +4390,6 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3775',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i  
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
         endif
 #endif          
